/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.select;

import java.awt.BorderLayout;
import java.awt.Color;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOOrgan;
import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;

import com.webobjects.eoapplication.client.EOClientResourceBundle;
import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class LbudSelectView extends javax.swing.JDialog {

        /**
	 * 
	 */
	private static final long serialVersionUID = -5975404646031830722L;
		protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;
	private boolean useSifac;

    /** Creates new form TemplateJDialog */
    public LbudSelectView(java.awt.Frame parent, boolean modal, EODisplayGroup displayGroup, boolean useSifac) {
        super(parent, modal);

        setUseSifac(useSifac);
        eod = displayGroup;
        
        initComponents();
        initGui();
    }
    public boolean isUseSifac() {
		return useSifac;
	}

	public void setUseSifac(boolean useSifac) {
		this.useSifac = useSifac;
	}

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTable = new javax.swing.JPanel();
        tfFindCr = new javax.swing.JTextField();
        tfFindSousCr = new javax.swing.JTextField();
        buttonValider = new javax.swing.JButton();
        buttonAnnuler = new javax.swing.JButton();
        tfFindUb = new javax.swing.JTextField();
        jPanel1 = new javax.swing.JPanel();
        buttonGetTypeCredit = new javax.swing.JButton();
        buttonDelCodeAnalytique = new javax.swing.JButton();
        lblDisponible = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        buttonGetCodeAnalytique = new javax.swing.JButton();
        tfCodeAnalytique = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        tfAction = new javax.swing.JTextField();
        tfPourcentage = new javax.swing.JTextField();
        buttonGetConvention = new javax.swing.JButton();
        tfConvention = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        buttonDelConvention = new javax.swing.JButton();
        tfTypeCredit = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        tfLibelleLbud = new javax.swing.JTextField();
        buttonGetAction = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Saisie des données budgétaires");
        setResizable(false);

        viewTable.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        viewTable.setLayout(new java.awt.BorderLayout());

        tfFindCr.setFont(new java.awt.Font("Tahoma", 0, 12));

        buttonValider.setText("Valider");
        buttonValider.setFocusable(false);

        buttonAnnuler.setText("Annuler");
        buttonAnnuler.setFocusable(false);

        tfFindUb.setFont(new java.awt.Font("Tahoma", 0, 12));

        lblDisponible.setForeground(new java.awt.Color(102, 102, 255));
        lblDisponible.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Pourcentage");

        tfCodeAnalytique.setEnabled(false);
        tfCodeAnalytique.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfCodeAnalytiqueActionPerformed(evt);
            }
        });

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Code Analytique :");

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Convention :");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Disponible");

        tfAction.setEnabled(false);
        tfAction.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfActionActionPerformed(evt);
            }
        });

        tfPourcentage.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfPourcentage.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfPourcentageActionPerformed(evt);
            }
        });

        tfConvention.setEnabled(false);
        tfConvention.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfConventionActionPerformed(evt);
            }
        });

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Type Crédit :");

        tfTypeCredit.setEnabled(false);
        tfTypeCredit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTypeCreditActionPerformed(evt);
            }
        });

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Action :");

        tfLibelleLbud.setBackground(new java.awt.Color(204, 204, 255));
        tfLibelleLbud.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(11, 11, 11)
                        .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfPourcentage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 46, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(54, 54, 54)
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(lblDisponible, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 179, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(jLabel5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 97, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(tfConvention, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 297, Short.MAX_VALUE)
                                    .add(tfCodeAnalytique, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 297, Short.MAX_VALUE)))
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(jLabel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 97, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(tfTypeCredit, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 297, Short.MAX_VALUE)
                                    .add(tfAction, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 297, Short.MAX_VALUE))))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, buttonGetAction, 0, 0, Short.MAX_VALUE)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, buttonGetCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, Short.MAX_VALUE)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, buttonGetConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, buttonDelCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, buttonDelConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(buttonGetTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(5, 5, 5)
                        .add(tfLibelleLbud, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 449, Short.MAX_VALUE)))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(30, 30, 30)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(jLabel2)
                                    .add(jLabel1)
                                    .add(tfPourcentage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(lblDisponible, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(18, 18, 18)
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.CENTER)
                                    .add(jLabel3)
                                    .add(tfTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(buttonGetTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(jLabel4)
                                    .add(tfAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(26, 26, 26))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                                .add(buttonGetAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(27, 27, 27)))
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.CENTER)
                            .add(buttonDelCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(buttonGetCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel6)
                            .add(tfCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(jLabel5)
                                .add(tfConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(buttonDelConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(buttonGetConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(tfLibelleLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(135, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(11, 11, 11)
                        .add(tfFindUb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 51, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFindCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 51, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFindSousCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 114, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 285, Short.MAX_VALUE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createSequentialGroup()
                        .add(buttonAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.CENTER)
                            .add(tfFindSousCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfFindCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfFindUb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 443, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .add(19, 19, 19)
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(105, 105, 105)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(buttonValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(buttonAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-805)/2, (screenSize.height-526)/2, 805, 526);
    }// </editor-fold>//GEN-END:initComponents

private void tfPourcentageActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfPourcentageActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_tfPourcentageActionPerformed

private void tfTypeCreditActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTypeCreditActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_tfTypeCreditActionPerformed

private void tfActionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfActionActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_tfActionActionPerformed

private void tfConventionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfConventionActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_tfConventionActionPerformed

private void tfCodeAnalytiqueActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfCodeAnalytiqueActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_tfCodeAnalytiqueActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                LbudSelectView dialog = new LbudSelectView(new javax.swing.JFrame(), true, null, true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton buttonAnnuler;
    private javax.swing.JButton buttonDelCodeAnalytique;
    private javax.swing.JButton buttonDelConvention;
    private javax.swing.JButton buttonGetAction;
    private javax.swing.JButton buttonGetCodeAnalytique;
    private javax.swing.JButton buttonGetConvention;
    private javax.swing.JButton buttonGetTypeCredit;
    private javax.swing.JButton buttonValider;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JLabel lblDisponible;
    private javax.swing.JTextField tfAction;
    private javax.swing.JTextField tfCodeAnalytique;
    private javax.swing.JTextField tfConvention;
    private javax.swing.JTextField tfFindCr;
    private javax.swing.JTextField tfFindSousCr;
    private javax.swing.JTextField tfFindUb;
    private javax.swing.JTextField tfLibelleLbud;
    private javax.swing.JTextField tfPourcentage;
    private javax.swing.JTextField tfTypeCredit;
    private javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables

    public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public javax.swing.JButton getButtonAnnuler() {
		return buttonAnnuler;
	}

	public void setButtonAnnuler(javax.swing.JButton buttonAnnuler) {
		this.buttonAnnuler = buttonAnnuler;
	}

	public javax.swing.JButton getButtonDelCodeAnalytique() {
		return buttonDelCodeAnalytique;
	}

	public void setButtonDelCodeAnalytique(
			javax.swing.JButton buttonDelCodeAnalytique) {
		this.buttonDelCodeAnalytique = buttonDelCodeAnalytique;
	}

	public javax.swing.JButton getButtonDelConvention() {
		return buttonDelConvention;
	}

	public void setButtonDelConvention(javax.swing.JButton buttonDelConvention) {
		this.buttonDelConvention = buttonDelConvention;
	}

	public javax.swing.JButton getButtonGetAction() {
		return buttonGetAction;
	}

	public void setButtonGetAction(javax.swing.JButton buttonGetAction) {
		this.buttonGetAction = buttonGetAction;
	}

	public javax.swing.JButton getButtonGetCodeAnalytique() {
		return buttonGetCodeAnalytique;
	}

	public void setButtonGetCodeAnalytique(
			javax.swing.JButton buttonGetCodeAnalytique) {
		this.buttonGetCodeAnalytique = buttonGetCodeAnalytique;
	}

	public javax.swing.JButton getButtonGetConvention() {
		return buttonGetConvention;
	}

	public void setButtonGetConvention(javax.swing.JButton buttonGetConvention) {
		this.buttonGetConvention = buttonGetConvention;
	}

	public javax.swing.JButton getButtonGetTypeCredit() {
		return buttonGetTypeCredit;
	}

	public void setButtonGetTypeCredit(javax.swing.JButton buttonGetTypeCredit) {
		this.buttonGetTypeCredit = buttonGetTypeCredit;
	}

	public javax.swing.JButton getButtonValider() {
		return buttonValider;
	}

	public void setButtonValider(javax.swing.JButton buttonValider) {
		this.buttonValider = buttonValider;
	}

	public javax.swing.JLabel getLblDisponible() {
		return lblDisponible;
	}

	public void setLblDisponible(javax.swing.JLabel lblDisponible) {
		this.lblDisponible = lblDisponible;
	}

	public javax.swing.JTextField getTfAction() {
		return tfAction;
	}

	public void setTfAction(javax.swing.JTextField tfAction) {
		this.tfAction = tfAction;
	}

        public javax.swing.JTextField getTfCodeAnalytique() {
		return tfCodeAnalytique;
	}

	public void setTfCodeAnalytique(javax.swing.JTextField tfCodeAnalytique) {
		this.tfCodeAnalytique = tfCodeAnalytique;
	}

	public javax.swing.JTextField getTfConvention() {
		return tfConvention;
	}

	public void setTfConvention(javax.swing.JTextField tfConvention) {
		this.tfConvention = tfConvention;
	}

	public javax.swing.JTextField getTfFindCr() {
		return tfFindCr;
	}

	public void setTfFindCr(javax.swing.JTextField tfFindCr) {
		this.tfFindCr = tfFindCr;
	}

	public javax.swing.JTextField getTfFindSousCr() {
		return tfFindSousCr;
	}

	public void setTfFindSousCr(javax.swing.JTextField tfFindSousCr) {
		this.tfFindSousCr = tfFindSousCr;
	}

	public javax.swing.JTextField getTfFindUb() {
		return tfFindUb;
	}

	public void setTfFindUb(javax.swing.JTextField tfFindUb) {
		this.tfFindUb = tfFindUb;
	}

	public javax.swing.JTextField getTfLibelleLbud() {
		return tfLibelleLbud;
	}

	public void setTfLibelleLbud(javax.swing.JTextField tfLibelleLbud) {
		this.tfLibelleLbud = tfLibelleLbud;
	}

	public javax.swing.JTextField getTfPourcentage() {
		return tfPourcentage;
	}

	public void setTfPourcentage(javax.swing.JTextField tfPourcentage) {
		this.tfPourcentage = tfPourcentage;
	}

	public javax.swing.JTextField getTfTypeCredit() {
		return tfTypeCredit;
	}

	public void setTfTypeCredit(javax.swing.JTextField tfTypeCredit) {
		this.tfTypeCredit = tfTypeCredit;
	}
        
	
	/**
	 * 
	 */
    private void initGui() {
        
    	EOClientResourceBundle resourceBundle = new EOClientResourceBundle();
    	
    	buttonValider.setIcon((ImageIcon)resourceBundle.getObject("cktl_valid_16"));
        buttonAnnuler.setIcon((ImageIcon)resourceBundle.getObject("cktl_cancel_16"));

        buttonGetTypeCredit.setIcon((ImageIcon)resourceBundle.getObject("cktl_why_16"));
        buttonGetAction.setIcon((ImageIcon)resourceBundle.getObject("cktl_why_16"));
        buttonGetCodeAnalytique.setIcon((ImageIcon)resourceBundle.getObject("cktl_why_16"));
        buttonGetConvention.setIcon((ImageIcon)resourceBundle.getObject("cktl_why_16"));
        buttonDelCodeAnalytique.setIcon((ImageIcon)resourceBundle.getObject("cktl_delete_16"));
        buttonDelConvention.setIcon((ImageIcon)resourceBundle.getObject("cktl_delete_16"));
        
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn	col = new ZEOTableModelColumn(eod, EOOrgan.ORG_UB_KEY, (isUseSifac())?"C.F.":"UB", 40);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOOrgan.ORG_CR_KEY, (isUseSifac())?"C.C.":"CR", 120);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOOrgan.ORG_SOUSCR_KEY, (isUseSifac())?"EOTP":"SOUS CR", 140);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);


		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(new Color(230, 230, 230));
		myEOTable.setSelectionBackground(new Color(127,155,165));
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

        
        
    }
}
